#!/bin/bash

#Löscht alle "*.tar.gz" und "*.sql" Dateien die älter als 14 Tage sind:
find -P "/mnt/storage-box/data-nextcloud/timm/files/SERVER/Hetzner-Cloud-CX21/Nextcloud/"  -maxdepth 1 -type f \( -name '*.tar.gz' \) -ctime +14 -exec rm {} \;
find -P "/mnt/storage-box/data-nextcloud/timm/files/SERVER/Hetzner-Cloud-CX21/Nextcloud/"  -maxdepth 1 -type f \( -name '*.sql' \) -ctime +14 -exec rm {} \;

#Zur Sicherheit noch einen SQL-Dump der Datenbank
docker exec -i nextcloud-db mysqldump -uroot -pnextcloud nextcloud > /mnt/storage-box/data-nextcloud/timm/files/SERVER/Hetzner-Cloud-CX21/Nextcloud/nextcloud-`date '+%Y%m%d%H%M'`.sql

#Die Docker Container stoppen und die Datenverzeichnisse komprimieren und wegkopieren
cd /root/deployments/Nextcloud
docker-compose stop
cd /opt/docker/
tar cvf /mnt/storage-box/data-nextcloud/timm/files/SERVER/Hetzner-Cloud-CX21/Nextcloud/nextcloud-`date '+%Y%m%d%H%M'`.tar.gz nextcloud/

#Docker Container aktualisieren und starten
cd /root/deployments/Nextcloud/
docker-compose up -d

#Nextcloud Datenbank über die Dateiänderung Bescheid geben
docker exec --user www-data nextcloud php occ files:scan -p timm/files/SERVER/Hetzner-Cloud-CX21/Nextcloud/
